"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-38/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd78b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd79d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7a60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7af0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7b80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7c10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7ca0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7d30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7dc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7e50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7ee0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fd7f70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd0d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd1f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd3a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd4c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd5e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd8b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdd9d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdda60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddaf0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddb80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddc10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddd30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdddc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fdde50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fddf70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe00d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe01f0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe03a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe04c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe05e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe08b0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe09d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0a60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0af0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0c10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0dc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0e50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe0f70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe50d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe51f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe53a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe54c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe55e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff90fe5820>)]
name: str = 'fr_HOCCN'
